Package org.apache.sysds.runtime.ooc.cache

# Interface OOCCache.UnpinHandle

Enclosing interface:
  OOCCache

public static interface OOCCache.UnpinHandle

## Method Summary

Modifier and Type
Method
Description
`MemoryAllowance`
`allowance()`
`long`
`bytes()`
`BlockEntry`
`entry()`
`OOCFuture<Boolean>`
`getCompletionFuture()`
`boolean`
`isCommitted()`

## Method Details

### entry

BlockEntry entry()

### allowance

MemoryAllowance allowance()

### bytes

long bytes()

### isCommitted

boolean isCommitted()

### getCompletionFuture

OOCFuture<Boolean> getCompletionFuture()